Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.f90	(revision 5116)
@@ -102,5 +102,5 @@
 
     ! Initialisations des variables r?elles
-    if (1==1) then
+    if (1==1) THEN
       ztva(:, :) = ztv(:, :)
       ztva_est(:, :) = ztva(:, :)
@@ -173,5 +173,5 @@
       ! Le panache va prendre au debut les caracteristiques de l'air contenu
       ! dans cette couche.
-      if (active(ig)) then
+      if (active(ig)) THEN
         ztla(ig, 1) = zthl(ig, 1)
         zqta(ig, 1) = po(ig, 1)
@@ -217,5 +217,5 @@
       do ig = 1, ngrid
         !       PRINT*,'active',active(ig),ig,l
-        if(active(ig)) then
+        IF(active(ig)) THEN
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
           ztva_est(ig, l) = ztla(ig, l - 1) * zpspsk(ig, l) + RLvCp * zqla_est(ig, l)
@@ -247,5 +247,5 @@
 
           !--------------------------------------------------
-          if (iflag_thermals_ed<8) then
+          if (iflag_thermals_ed<8) THEN
             !--------------------------------------------------
             !AJ052014: J'ai remplac?? la boucle do par un do while
@@ -284,6 +284,5 @@
             ztv2 = atv2 * zlt + btv2
 
-            if (ztv(ig, lt)>ztv1.and.ztv(ig, lt)<ztv2) then
-
+            if (ztv(ig, lt)>ztv1.and.ztv(ig, lt)<ztv2) THEN
               !--------------------------------------------------
               !AJ052014: D??calage de zinv qui est entre le haut
@@ -293,9 +292,9 @@
               zinv = zltdwn + zdz3 * factinv
 
-              if (zlmeldwn>=zinv) then
+              if (zlmeldwn>=zinv) THEN
                 ztv_est(ig, l) = atv2 * zlmel + btv2
                 zbuoyjam(ig, l) = fact_shell * RG * (ztva_est(ig, l) - ztv_est(ig, l)) / ztv_est(ig, l) &
                         + (1. - fact_shell) * zbuoy(ig, l)
-              elseif (zlmelup>=zinv) then
+              elseif (zlmelup>=zinv) THEN
                 ztv_est2 = atv2 * 0.5 * (zlmelup + zinv) + btv2
                 ztv_est1 = atv1 * 0.5 * (zinv + zlmeldwn) + btv1
@@ -312,7 +311,6 @@
               endif
 
-            else ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) then
-
-              if (zlmeldwn>zltdwn) then
+            else ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) THEN
+              if (zlmeldwn>zltdwn) THEN
                 zbuoyjam(ig, l) = fact_shell * RG * ((ztva_est(ig, l) - &
                         ztv(ig, lt)) / ztv(ig, lt)) + (1. - fact_shell) * zbuoy(ig, l)
@@ -330,7 +328,6 @@
               !    &          po(ig,lt))/po(ig,lt)+((zdz2-lmel)/zdz3)*(zqta(ig,l-1)- &
               !     &          po(ig,lt-1))/po(ig,lt-1))
-            endif ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) then
-
-          else  !   if (iflag_thermals_ed.lt.8) then
+            endif ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) THEN
+          else  !   if (iflag_thermals_ed.lt.8) THEN
             lt = l + 1
             zlt = zlev(ig, lt)
@@ -349,6 +346,5 @@
                     ztv(ig, lt)) / ztv(ig, lt) + (1. - coefzlmel) * (ztva_est(ig, l) - &
                     ztv(ig, lt - 1)) / ztv(ig, lt - 1)) + 0. * zbuoy(ig, l)
-          endif !   if (iflag_thermals_ed.lt.8) then
-
+          endif !   if (iflag_thermals_ed.lt.8) THEN
           !------------------------------------------------
           !AJAM:nouveau calcul de w?
@@ -377,5 +373,5 @@
           !AJ052014: J'ai remplac? w_est(ig,l) par zw2(ig,l)
           !--------------------------------------------------
-          if (iflag_thermals_ed==8) then
+          if (iflag_thermals_ed==8) THEN
             ! Ancienne version
             !             w_est(ig,l+1)=Max(0.0001,(zdz/zdzbis)*(exp(-zw2fact)* &
@@ -408,5 +404,5 @@
           endif
 
-          if (iflag_thermals_ed<6) then
+          if (iflag_thermals_ed<6) THEN
             zalpha = f0(ig) * f_star(ig, l) / sqrt(w_est(ig, l + 1)) / rhobarz(ig, l)
             !              fact_epsilon=0.0005/(zalpha+0.025)**0.5
@@ -431,5 +427,5 @@
           !--------------------------------------------------
 
-          !             if (w_est(ig,l+1).lt.0.) then
+          !             if (w_est(ig,l+1).lt.0.) THEN
           !               w_est(ig,l+1)=zw2(ig,l)
           !                w_est(ig,l+1)=0.0001
@@ -445,6 +441,5 @@
 
       do ig = 1, ngrid
-        if (active(ig)) then
-
+        if (active(ig)) THEN
           !          zw2m=max(0.5*(w_est(ig,l)+w_est(ig,l+1)),0.1)
           zw2m = w_est(ig, l + 1)
@@ -476,5 +471,5 @@
           !          entrbis=entr_star(ig,l)
 
-          if (iflag_thermals_ed<6) then
+          if (iflag_thermals_ed<6) THEN
             fact_epsilon = 0.0002 / (zalpha + 0.1)
           endif
@@ -513,9 +508,9 @@
           ! En dessous de lalim, on prend le max de alim_star et entr_star pour
           ! alim_star et 0 sinon
-          if (l<lalim(ig)) then
+          if (l<lalim(ig)) THEN
             alim_star(ig, l) = max(alim_star(ig, l), entr_star(ig, l))
             entr_star(ig, l) = 0.
           endif
-          !        if (l.lt.lalim(ig).and.alim_star(ig,l)>alim_star(ig,l-1)) then
+          !        if (l.lt.lalim(ig).and.alim_star(ig,l)>alim_star(ig,l-1)) THEN
           !          alim_star(ig,l)=entrbis
           !        endif
@@ -536,5 +531,5 @@
       activetmp(:) = active(:) .and. f_star(:, l + 1)>1.e-10
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
@@ -551,5 +546,5 @@
       CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           ! on ecrit de maniere conservative (sat ou non)
           !          T = Tl +Lv/Cp ql
@@ -582,5 +577,5 @@
           !    &                     (zw2(ig,l)-zdw2)+zdw2)+(zdzbis-zdz)/zdzbis* &
           !    &                     (exp(-zw2factbis)*(zw2(ig,l-1)-zdw2bis)+zdw2))
-          if (iflag_thermals_ed==8) then
+          if (iflag_thermals_ed==8) THEN
             zw2(ig, l + 1) = Max(0.0001, exp(-zw2fact) * (zw2(ig, l) - zdw2) + zdw2)
           else
@@ -591,5 +586,5 @@
           !    &                     (exp(-zw2factbis)*(zw2(ig,l-1)-zdw2bis)+zdw2bis))
 
-          if (iflag_thermals_ed<6) then
+          if (iflag_thermals_ed<6) THEN
             zalpha = f0(ig) * f_star(ig, l) / sqrt(zw2(ig, l + 1)) / rhobarz(ig, l)
             !           fact_epsilon=0.0005/(zalpha+0.025)**0.5
@@ -620,5 +615,5 @@
       nbpb = 0
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
+        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) THEN
           !               stop 'On tombe sur le cas particulier de thermcell_dry'
           !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
@@ -628,10 +623,10 @@
         endif
 
-        if (zw2(ig, l + 1)<0.) then
+        if (zw2(ig, l + 1)<0.) THEN
           linter(ig) = (l * (zw2(ig, l + 1) - zw2(ig, l))  &
                   - zw2(ig, l)) / (zw2(ig, l + 1) - zw2(ig, l))
           zw2(ig, l + 1) = 0.
           !+CR:04/05/12:correction calcul linter pour calcul de zmax continu
-        elseif (f_star(ig, l + 1)<0.) then
+        elseif (f_star(ig, l + 1)<0.) THEN
           linter(ig) = (l * (f_star(ig, l + 1) - f_star(ig, l))  &
                   - f_star(ig, l)) / (f_star(ig, l + 1) - f_star(ig, l))
@@ -642,8 +637,8 @@
         wa_moy(ig, l + 1) = sqrt(zw2(ig, l + 1))
 
-        if (wa_moy(ig, l + 1)>wmaxa(ig)) then
+        if (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
           !   lmix est le niveau de la couche ou w (wa_moy) est maximum
           !on rajoute le calcul de lmix_bis
-          if (zqla(ig, l)<1.e-10) then
+          if (zqla(ig, l)<1.e-10) THEN
             lmix_bis(ig) = l + 1
           endif
@@ -653,5 +648,5 @@
       enddo
 
-      if (nbpb>0) then
+      if (nbpb>0) THEN
         PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
@@ -772,5 +767,5 @@
 
     ! Initialisations des variables reeles
-    if (1==1) then
+    if (1==1) THEN
       ztva(:, :) = ztv(:, :)
       ztva_est(:, :) = ztva(:, :)
@@ -824,5 +819,5 @@
     do l = 1, nlay - 1
       do ig = 1, ngrid
-        if (ztv(ig, l)> ztv(ig, l + 1) .and. ztv(ig, 1)>=ztv(ig, l)) then
+        if (ztv(ig, l)> ztv(ig, l + 1) .and. ztv(ig, 1)>=ztv(ig, l)) THEN
           alim_star(ig, l) = MAX((ztv(ig, l) - ztv(ig, l + 1)), 0.)  &
                   * sqrt(zlev(ig, l + 1))
@@ -834,5 +829,5 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (alim_star_tot(ig) > 1.e-10) then
+        if (alim_star_tot(ig) > 1.e-10) THEN
           alim_star(ig, l) = alim_star(ig, l) / alim_star_tot(ig)
         endif
@@ -853,5 +848,5 @@
       ! Le panache va prendre au debut les caracteristiques de l'air contenu
       ! dans cette couche.
-      if (active(ig)) then
+      if (active(ig)) THEN
         ztla(ig, 1) = zthl(ig, 1)
         zqta(ig, 1) = po(ig, 1)
@@ -898,5 +893,5 @@
       do ig = 1, ngrid
         !       PRINT*,'active',active(ig),ig,l
-        if(active(ig)) then
+        IF(active(ig)) THEN
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
           ztva_est(ig, l) = ztla(ig, l - 1) * zpspsk(ig, l) + RLvCp * zqla_est(ig, l)
@@ -916,5 +911,5 @@
           w_est(ig, l + 1) = Max(0.0001, exp(-zw2fact) * (w_est(ig, l) - zdw2) + zdw2)
 
-          if (w_est(ig, l + 1)<0.) then
+          if (w_est(ig, l + 1)<0.) THEN
             w_est(ig, l + 1) = zw2(ig, l)
           endif
@@ -928,6 +923,5 @@
 
       do ig = 1, ngrid
-        if (active(ig)) then
-
+        if (active(ig)) THEN
           zw2m = max(0.5 * (w_est(ig, l) + w_est(ig, l + 1)), 0.1)
           zw2m = w_est(ig, l + 1)
@@ -948,5 +942,5 @@
           ! En dessous de lalim, on prend le max de alim_star et entr_star pour
           ! alim_star et 0 sinon
-          if (l<lalim(ig)) then
+          if (l<lalim(ig)) THEN
             alim_star(ig, l) = max(alim_star(ig, l), entr_star(ig, l))
             entr_star(ig, l) = 0.
@@ -966,5 +960,5 @@
       activetmp(:) = active(:) .and. f_star(:, l + 1)>1.e-10
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
@@ -982,5 +976,5 @@
 
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           ! on ecrit de maniere conservative (sat ou non)
           !          T = Tl +Lv/Cp ql
@@ -1010,5 +1004,5 @@
       nbpb = 0
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
+        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) THEN
           !               stop 'On tombe sur le cas particulier de thermcell_dry'
           !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
@@ -1018,9 +1012,9 @@
         endif
 
-        if (zw2(ig, l + 1)<0.) then
+        if (zw2(ig, l + 1)<0.) THEN
           linter(ig) = (l * (zw2(ig, l + 1) - zw2(ig, l))  &
                   - zw2(ig, l)) / (zw2(ig, l + 1) - zw2(ig, l))
           zw2(ig, l + 1) = 0.
-        elseif (f_star(ig, l + 1)<0.) then
+        elseif (f_star(ig, l + 1)<0.) THEN
           linter(ig) = (l * (f_star(ig, l + 1) - f_star(ig, l))  &
                   - f_star(ig, l)) / (f_star(ig, l + 1) - f_star(ig, l))
@@ -1031,8 +1025,8 @@
         wa_moy(ig, l + 1) = sqrt(zw2(ig, l + 1))
 
-        if (wa_moy(ig, l + 1)>wmaxa(ig)) then
+        if (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
           !   lmix est le niveau de la couche ou w (wa_moy) est maximum
           !on rajoute le calcul de lmix_bis
-          if (zqla(ig, l)<1.e-10) then
+          if (zqla(ig, l)<1.e-10) THEN
             lmix_bis(ig) = l + 1
           endif
@@ -1042,5 +1036,5 @@
       enddo
 
-      if (nbpb>0) then
+      if (nbpb>0) THEN
         PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5116)
@@ -49,5 +49,5 @@
 
 DO ig=1,klon
-   if (active(ig)) then
+   if (active(ig)) THEN
                Tbef(ig)=ztemp(ig)
                zdelta=MAX(0.,SIGN(1.,RTT-Tbef(ig)))
@@ -65,6 +65,6 @@
 ! On ne condense pas mais on dit que le qsat est le qta
 DO ig=1,klon
-   if (active(ig)) then
-      if (0.<abs(DT(ig)).and.abs(DT(ig))<=DDT0) then
+   if (active(ig)) THEN
+      if (0.<abs(DT(ig)).and.abs(DT(ig))<=DDT0) THEN
          zqsat(ig)=zqta(ig)
       endif
@@ -75,5 +75,5 @@
     afaire(:)=abs(DT(:))>DDT0
     do ig=1,klon
-               if (afaire(ig)) then
+               if (afaire(ig)) THEN
                  Tbef(ig)=Tbef(ig)+DT(ig)
                  zdelta=MAX(0.,SIGN(1.,RTT-Tbef(ig)))
@@ -95,5 +95,5 @@
 END DO
 
-return
+RETURN
 end
 END MODULE lmdz_thermcell_qsat
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5116)
@@ -623,24 +623,24 @@
   DO k = 1, klev
     DO i = 1, klon
-      ! write(*,*)'wake 1',i,k,RD,tb(i,k)
+      ! WRITE(*,*)'wake 1',i,k,RD,tb(i,k)
       rho(i, k) = p(i, k)/(RD*tb(i,k))
-      ! write(*,*)'wake 2',rho(i,k)
+      ! WRITE(*,*)'wake 2',rho(i,k)
       IF (k==1) THEN
-        ! write(*,*)'wake 3',i,k,rd,tb(i,k)
+        ! WRITE(*,*)'wake 3',i,k,rd,tb(i,k)
         rhoh(i, k) = ph(i, k)/(RD*tb(i,k))
-        ! write(*,*)'wake 4',i,k,rd,tb(i,k)
+        ! WRITE(*,*)'wake 4',i,k,rd,tb(i,k)
         zhh(i, k) = 0
       ELSE
-        ! write(*,*)'wake 5',rd,(tb(i,k)+tb(i,k-1))
+        ! WRITE(*,*)'wake 5',rd,(tb(i,k)+tb(i,k-1))
         rhoh(i, k) = ph(i, k)*2./(RD*(tb(i,k)+tb(i,k-1)))
-        ! write(*,*)'wake 6',(-rhoh(i,k)*RG)+zhh(i,k-1)
+        ! WRITE(*,*)'wake 6',(-rhoh(i,k)*RG)+zhh(i,k-1)
         zhh(i, k) = (ph(i,k)-ph(i,k-1))/(-rhoh(i,k)*RG) + zhh(i, k-1)
       END IF
-      ! write(*,*)'wake 7',ppi(i,k)
+      ! WRITE(*,*)'wake 7',ppi(i,k)
       thb(i, k) = tb(i, k)/ppi(i, k)
       thx(i, k) = (tb(i,k)-deltatw(i,k)*sigmaw(i))/ppi(i, k)
       tx(i, k) = tb(i, k) - deltatw(i, k)*sigmaw(i)
       qx(i, k) = qb(i, k) - deltaqw(i, k)*sigmaw(i)
-      ! write(*,*)'wake 8',(RD*(tb(i,k)+deltatw(i,k)))
+      ! WRITE(*,*)'wake 8',(RD*(tb(i,k)+deltatw(i,k)))
       dth(i, k) = deltatw(i, k)/ppi(i, k)
     END DO
@@ -1438,9 +1438,9 @@
           ! Jingmei
 
-          ! write(lunout,*)'wake.F ',i,k, dtimesub,d_deltat_gw(i,k),
+          ! WRITE(lunout,*)'wake.F ',i,k, dtimesub,d_deltat_gw(i,k),
           ! &  Tgw(i,k),deltatw(i,k)
           d_deltat_gw(i, k) = d_deltat_gw(i, k) - tgw(i, k)*deltatw(i, k)* &
             dtimesub
-          ! write(lunout,*)'wake.F ',i,k, dtimesub,d_deltatw(i,k)
+          ! WRITE(lunout,*)'wake.F ',i,k, dtimesub,d_deltatw(i,k)
           ff(i) = d_deltatw(i, k)/dtimesub
 
@@ -2477,5 +2477,5 @@
 
 
-IF (iflag_wk_new_ptop==0) then
+IF (iflag_wk_new_ptop==0) THEN
     delta_t_min=delta_t_min_in
 else
@@ -2594,5 +2594,5 @@
     ! nouveau calcul de hw et ptop
     ! -----------------------------------------------------------------------
-!if (iflag_wk_new_ptop>0) then
+!if (iflag_wk_new_ptop>0) THEN
 DO i=1,klon
    ptop1(i)=ph(i,1)
@@ -2610,9 +2610,9 @@
     END DO
     
-    if (abs(iflag_wk_new_ptop) == 1 ) then
+    if (abs(iflag_wk_new_ptop) == 1 ) THEN
         DO k = 2, klev+1
            Do i = 1, klon
               IF (wk_adv(i)) THEN
-                 if (k<=k_ptop_provis(i)) then
+                 if (k<=k_ptop_provis(i)) THEN
                       ddd=dth(i,k-1)*(ph(i,k-1) - max(ptop_provis(i),ph(i,k)))
                       !ddd=dth(i,k-1)*(ph(i,k-1) - ph(i,k))
@@ -2636,8 +2636,8 @@
               dthmin(i)=min(dthmin(i),dth(i,k))
               ddd=dth(i,k)*(ph(i,k)-ph(i,k+1))
-              if (dthmin(i)<0.) then
-                  if (k>=k_ptop_provis(i)) then
+              if (dthmin(i)<0.) THEN
+                  if (k>=k_ptop_provis(i)) THEN
                       ddd=0.
-                  else if (dth(i,k)>=0.) then
+                  else if (dth(i,k)>=0.) THEN
                       ddd=0.
                       k_ptop_provis(i)=k+1
@@ -2649,5 +2649,5 @@
 
         DO i = 1, klon
-           if ( k_ptop_provis(i)==klev+1 .or. .not. wk_adv(i)) then
+           if ( k_ptop_provis(i)==klev+1 .or. .not. wk_adv(i)) THEN
                 k_ptop_provis(i)=1
            endif
@@ -2661,6 +2661,6 @@
     ! On se limite ?? des poches avec integrale dT * dp < -wk_int_delta_t_min
     do i=1,klon
-          if (int_dth(i,k_ptop_provis(i)) > -wk_int_delta_t_min .or. k_ptop_provis(i)==1) then
-          !if (1==0) then
+          if (int_dth(i,k_ptop_provis(i)) > -wk_int_delta_t_min .or. k_ptop_provis(i)==1) THEN
+          !if (1==0) THEN
              wk_active(i)=.FALSE.
              ptop(i)=ph(i,1)
@@ -2695,5 +2695,5 @@
            !PRINT*, ipas,'xxx1, int_dth(i,ktop1(i)), frac_int_dth(i), int_dth(i,ktop1(i)+1) ',ktop1
            ddd=int_dth(i,ktop1(i)+1)-int_dth(i,ktop1(i))
-           if (ddd==0.) then
+           if (ddd==0.) THEN
               omega(i)=0.
            else
@@ -2738,5 +2738,5 @@
 ENDIF ! (iflag_wk_new_ptop/=0)
 
-!if (iflag_wk_new_ptop==2) then
+!if (iflag_wk_new_ptop==2) THEN
 IF (iflag_wk_new_ptop>0) THEN 
    do i=1,klon
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5116)
@@ -253,5 +253,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      if(it.eq.3) write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5116)
@@ -26,5 +26,5 @@
      IF (jbad>0) THEN
         WRITE(*,*)comment, "  k = ", k, "jbad > 0"
-        if (prt_level >= 1) then
+        if (prt_level >= 1) THEN
            DO i = 1, jbad
               WRITE(*,*) "i,q=", jadrs(i), zq(jadrs(i),k)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5116)
@@ -133,5 +133,5 @@
      DO i=1, klon
         zmfe=-zmfu(i,k)-zmfd(i,k)
-        IF (zmfe<=0.) then
+        IF (zmfe<=0.) THEN
            zmfex(i,k)= zmfe*x(i,k)
         ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5116)
@@ -5,5 +5,5 @@
     temp_cltop, cldtaupi, re, fl)
   USE dimphy
-  USE lmdz_lscp_tools, only: icefrac_lscp
+  USE lmdz_lscp_tools, ONLY: icefrac_lscp
   USE icefrac_lsc_mod ! computes ice fraction (JBM 3/14)
   USE lmdz_lscp_ini, ONLY: iflag_t_glace
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5116)
@@ -17,9 +17,9 @@
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
-    use lmdz_assert, only: assert
-    use dimphy, only: klon
-    use regr_pr_comb_coefoz_m, only: c_Mob, a4_mass, a2, r_het_interm
-    use lmdz_grid_phy, only: nbp_lev
-    use nrtype, only: pi
+    use lmdz_assert, ONLY: assert
+    use dimphy, ONLY: klon
+    use regr_pr_comb_coefoz_m, ONLY: c_Mob, a4_mass, a2, r_het_interm
+    use lmdz_grid_phy, ONLY: nbp_lev
+    use nrtype, ONLY: pi
 
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
@@ -115,8 +115,8 @@
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
-    use regr_pr_comb_coefoz_m, only: a6_mass
-    use lmdz_assert, only: assert
-    use dimphy, only: klon
-    use lmdz_grid_phy, only: nbp_lev
+    use regr_pr_comb_coefoz_m, ONLY: a6_mass
+    use lmdz_assert, ONLY: assert
+    use dimphy, ONLY: klon
+    use lmdz_grid_phy, ONLY: nbp_lev
 
     real, intent(in):: q(:, :) ! mass fraction of ozone
@@ -167,5 +167,5 @@
     o3_prod = c + b * q + a6_mass * sigma_mass
 
-  end function o3_prod
+  END FUNCTION o3_prod
 
 end module o3_chem_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5116)
@@ -197,5 +197,5 @@
     infosend(ids_calvin)%action = .TRUE. ; infosend(ids_calvin)%name = 'COCALVIN'
     
-    if (activate_ocean_skin == 2) then
+    if (activate_ocean_skin == 2) THEN
        infosend(ids_delta_sst)%action = .TRUE.
        infosend(ids_delta_sst)%name = 'CODELSST'
@@ -247,5 +247,5 @@
    inforecv(idr_icetem)%action = .TRUE. ; inforecv(idr_icetem)%name = 'SIICTEMW'
 
-   if (activate_ocean_skin >= 1) then
+   if (activate_ocean_skin >= 1) THEN
       inforecv(idr_sss)%action = .TRUE.
       inforecv(idr_sss)%name = 'SISUSALW'
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90	(revision 5116)
@@ -67,5 +67,5 @@
     USE cpl_mod, ONLY: gath2cpl, cpl_receive_ocean_fields, &
          cpl_send_ocean_fields
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "YOMCST.h"
@@ -182,5 +182,5 @@
          sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
 
-    if (activate_ocean_skin == 2) then
+    if (activate_ocean_skin == 2) THEN
        ! tsurf_new was set to tsurf_in in calcul_flux, correct it to
        ! the new bulk SST tsurf_cpl:
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5116)
@@ -40,5 +40,5 @@
     USE indice_sol_mod
     USE phys_output_var_mod, ONLY: sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 #ifdef ISO
     USE infotrac_phy, ONLY: ntiso,niso
@@ -225,5 +225,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!          write(*,*) 'ocean_forced_mod 176: sortie de ocean_forced_noice'
+!          WRITE(*,*) 'ocean_forced_mod 176: sortie de ocean_forced_noice'
     IF (iso_eau > 0) THEN
       DO i = 1, knon               
@@ -463,6 +463,6 @@
 ! isotopes: tout est externalisé
 !#ifdef ISOVERIF
-!        write(*,*) 'ocean_forced_mod 377: CALL calcul_iso_surf_sic_vectall'
-!        write(*,*) 'klon,knon=',klon,knon
+!        WRITE(*,*) 'ocean_forced_mod 377: CALL calcul_iso_surf_sic_vectall'
+!        WRITE(*,*) 'klon,knon=',klon,knon
 !#endif
     CALL calcul_iso_surf_sic_vectall(klon,knon, &
@@ -475,5 +475,5 @@
      )
 #ifdef ISOVERIF
-        !write(*,*) 'ocean_forced_mod 391: sortie calcul_iso_surf_sic_vectall'
+        !WRITE(*,*) 'ocean_forced_mod 391: sortie calcul_iso_surf_sic_vectall'
     IF (iso_eau > 0) THEN
       DO i = 1, knon  
@@ -482,5 +482,5 @@
              errmax,errmaxrel)
       ENDDO ! DO j=1,knon
-    ENDIF !IF (iso_eau > 0) then
+    ENDIF !IF (iso_eau > 0) THEN
 #endif 
 !#ifdef ISOVERIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5116)
@@ -214,5 +214,5 @@
 
   ! ztmst=twodt
-  ! if(nstep.eq.nstart) ztmst=0.5*twodt
+  ! IF(nstep.eq.nstart) ztmst=0.5*twodt
   ! ym      klevm1=klev-1
   ztmst = ptsphy
@@ -881,5 +881,5 @@
       lo = (ptau(jl, klev + 1)<gtsec) .OR. (kcrit(jl)>=kknu(jl)) .OR. &
               (pvph(jl, klev + 1)<gvcrit)
-      ! if(lo) ptau(jl,klev+1)=0.0
+      ! IF(lo) ptau(jl,klev+1)=0.0
 
     ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5116)
@@ -287,5 +287,5 @@
 
   ! ztmst=twodt
-  ! if(nstep.eq.nstart) ztmst=0.5*twodt
+  ! IF(nstep.eq.nstart) ztmst=0.5*twodt
   ztmst = ptsphy
 
@@ -1036,5 +1036,5 @@
       ! lo=(ptau(jl,klev+1).lt.gtsec).or.(kcrit(jl).ge.kknu(jl))
       ! *      .or.(pvph(jl,klev+1).lt.gvcrit)
-      ! if(lo) ptau(jl,klev+1)=0.0
+      ! IF(lo) ptau(jl,klev+1)=0.0
 
       ! print *,jl,ptau(jl,klev+1)
@@ -1048,5 +1048,5 @@
   END DO
 
-  ! write(21)(ptau(jl,klev+1),jl=kidia,kfdia)
+  ! WRITE(21)(ptau(jl,klev+1),jl=kidia,kfdia)
 
 END SUBROUTINE gwstress_strato
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5116)
@@ -35,12 +35,12 @@
 real,intent(in) :: ptke(klon,klev) !tke
 
-real :: t_ops ! frequency of the IOIPSL operations (eg average over...)
-real :: t_wrt ! frequency of the IOIPSL outputs
-integer :: zvertid ! vertical coordinate ID
-real :: dtime
+REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
+REAL :: t_wrt ! frequency of the IOIPSL outputs
+INTEGER :: zvertid ! vertical coordinate ID
+REAL :: dtime
 
 integer,save :: iwrite_phys=1 ! output every iwrite_phys physics step
 !$OMP THREADPRIVATE(iwrite_phys)
-integer :: nhori ! horizontal coordinate ID
+INTEGER :: nhori ! horizontal coordinate ID
 integer,save :: nid_hist ! output file ID
 !$OMP THREADPRIVATE(nid_hist)
@@ -53,6 +53,5 @@
 PRINT*,'nnnnnnn ',nid_hist,debut,itau
 
-IF(debut)then
-
+IF(debut)THEN
    CALL getin_p("iwrite_phys",iwrite_phys)
 
@@ -67,5 +66,5 @@
 itau=itau+1
 
-IF (modulo(itau,iwrite_phys)==0) then
+IF (modulo(itau,iwrite_phys)==0) THEN
      CALL iophys_ecrit('temp',klev,'Temperature','K',t)
      CALL iophys_ecrit('u',klev,'zonal wind','m/s',u)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5116)
@@ -21,6 +21,6 @@
     ! middle atmosphere, Handbook for MAP, vol. 16, 205-229.
 
-    USE dimphy, only: klon, klev
-    use lmdz_assert, only: assert
+    USE dimphy, ONLY: klon, klev
+    use lmdz_assert, ONLY: assert
 
     REAL, INTENT (IN) :: rlat(:) ! (klon)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5116)
@@ -10,8 +10,8 @@
     USE iophy 
     USE dimphy
-    USE ioipsl, only: histbeg, histvert, histdef, histend, ymds2ju
+    USE ioipsl, ONLY: histbeg, histvert, histdef, histend, ymds2ju
     USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
-    USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
     USE time_phylmdz_mod, ONLY: annee_ref, day_ref, itau_phy, pdtphys
     USE lmdz_phys_transfert_para, ONLY: gather, bcast
@@ -145,5 +145,5 @@
     USE lmdz_phys_mpi_data, ONLY: is_mpi_root
     USE time_phylmdz_mod, ONLY: day_step_phy, annee_ref, itau_phy, start_time
-    USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
 
     USE iophy
@@ -230,5 +230,5 @@
       ENDIF
 
-      ENDIF !(is_mpi_root) then      
+      ENDIF !(is_mpi_root) THEN
 !$OMP END MASTER
 
